Name:           makeself
Version:        2.5.0
Release:        %mkrel 2
Summary:        Make self-extractable archives on Unix
Group:          Development/Other
License:        GPLv2+
URL:            https://makeself.io/
Source0:        https://github.com/megastep/%{name}/archive/release-%{version}/%{name}-release-%{version}.tar.gz
# This patch changes the path to the sourced header script
Patch0:         move_header.patch
Patch1:         0001-Remove-stale-makeself.lsm-reference-from-README.patch
BuildArch:      noarch
BuildRequires:  glibc

Requires:       gzip

Recommends:     gnupg
Recommends:     openssl
Recommends:     bzip2
Recommends:     lz4
Recommends:     pigz
Recommends:     xz
Recommends:     zstd

%description
makeself.sh is a shell script that generates a self-extractable
tar.gz archive from a directory. The resulting file appears as a shell
script, and can be launched as is. The archive will then uncompress
itself to a temporary directory and an arbitrary command will be
executed (for example an installation script). This is pretty similar
to archives generated with WinZip Self-Extractor in the Windows world.

%prep
%setup -q -n %{name}-release-%{version}
%autopatch -p1

%build
iconv -f iso8859-1 -t utf-8 %{name}.1 > %{name}.1.conv && mv -f %{name}.1.conv %{name}.1

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_mandir}/man1

install -p -m 755 %{name}.sh %{buildroot}%{_bindir}/%{name}
install -p -m 644 %{name}-header.sh %{buildroot}%{_libexecdir}
install -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1

%files
%doc README.md
%license COPYING
%{_bindir}/*
%{_libexecdir}/*
%{_mandir}/man1/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.5.0-2.mga10
+ Revision: 2218316
- Mageia 10 Mass Rebuild

* Sat May 13 2023 daviddavid <daviddavid> 2.5.0-1.mga9
+ Revision: 1956752
- new version: 2.5.0

* Wed Mar 23 2022 umeabot <umeabot> 2.4.5-2.mga9
+ Revision: 1821991
- Mageia 9 Mass Rebuild

* Sat Oct 09 2021 wally <wally> 2.4.5-1.mga9
+ Revision: 1750228
- new version 2.4.5

* Thu Feb 25 2021 daviddavid <daviddavid> 2.4.3-1.mga9
+ Revision: 1690679
- new version: 2.4.3

* Sun May 10 2020 daviddavid <daviddavid> 2.4.2-1.mga8
+ Revision: 1582583
- new version: 2.4.2
- require gzip (default compression)
- recommend other compression packages

* Wed Feb 12 2020 umeabot <umeabot> 2.4.0-3.mga8
+ Revision: 1502011
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.4.0-2.mga7
+ Revision: 1279391
- Mageia 7 Mass Rebuild

* Mon May 07 2018 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1226881
- new version: 2.4.0

* Sat Nov 11 2017 daviddavid <daviddavid> 2.3.1-2.mga7
+ Revision: 1176886
- fix file-not-utf8 from manpage

* Sat Oct 28 2017 daviddavid <daviddavid> 2.3.1-1.mga7
+ Revision: 1174377
- initial package makeself

